Index: src/edu/ucsb/nceas/metacat/MetacatReplication.java
===================================================================
--- src/edu/ucsb/nceas/metacat/MetacatReplication.java	(revision 1291)
+++ src/edu/ucsb/nceas/metacat/MetacatReplication.java	(revision 1292)
@@ -88,15 +88,7 @@
     Hashtable params = new Hashtable();
     Enumeration paramlist = request.getParameterNames();
     
-    //First check if administrate conifgure the replcation feature on
-    //This configuration is set in build.xml file
-    //If it is not on, reject any request.
-    if (!(util.getOption("replication")).equals("on"))
-    {
-     (response.getWriter()).println("MetaCat is not set to handle replication");
-      (response.getWriter()).close();
-      return;
-    }
+   
     
 // NOT NEEDED - doesn't provide enough security because of possible IP spoofing
 // REPLACED with running replication comminications over HTTPS
@@ -121,7 +113,7 @@
            !action.equals("getall") ) {
 
         server = ((String[])params.get("server"))[0];
-        if ( getServerCode(server) == 0 ) {
+        if ( getServerCodeForServerName(server) == 0 ) {
           System.out.println("Action \"" + action + 
                              "\" rejected for server: " + server);
           return;
@@ -144,11 +136,9 @@
     }
     else if ( action.equals("forcereplicatedatafile") ) 
     {
-     
-      //OutputStream out=response.getOutputStream();
       //read a specific docid from remote host, and store it into local host
       handleForceReplicateDataFileRequest(params);
-      //out.close();
+     
     }
     else
     {
@@ -244,7 +234,10 @@
     DBConnection dbConn = null;
     int serialNumber = -1;
     PreparedStatement pstmt = null;
-
+    String replicate =null;
+    String server = null;
+    String dataReplicate = null;
+    String hub = null;
     try {
       //conn = util.openDBConnection();
       dbConn=DBConnectionPool.
@@ -253,13 +246,19 @@
       
       // add server to server list
       if ( subaction.equals("add") ) {
-        String replicate = ((String[])params.get("replicate"))[0];
-        String server = ((String[])params.get("server"))[0];
+        replicate = ((String[])params.get("replicate"))[0];
+        server = ((String[])params.get("server"))[0];
+        //Get data replication value
+        dataReplicate = ((String[])params.get("datareplicate"))[0];
+        //Get hub value
+        hub = ((String[])params.get("hub"))[0];
+        
         pstmt = dbConn.prepareStatement("INSERT INTO xml_replication " +
-                                      "(server, last_checked, replicate) " +
+                  "(server, last_checked, replicate, datareplicate, hub) " +
                                       "VALUES ('" + server + "', to_date(" +
                                       "'01/01/00', 'MM/DD/YY'), '" +
-                                      replicate + "')");
+                                      replicate +"', '" +dataReplicate+"', '"
+                                      + hub +"')");
         pstmt.execute();
         pstmt.close();
         dbConn.commit();
@@ -267,7 +266,9 @@
         response.setContentType("text/html");
         out.println("<html><body><table border=\"1\">");
         out.println("<tr><td><b>server</b></td><td><b>last_checked</b></td><td>");
-        out.println("<b>replicate</b></td></tr>");
+        out.println("<b>replicate</b></td>");
+        out.println("<td><b>datareplicate</b></td>");
+        out.println("<td><b>hub</b></td></tr>");
         pstmt = dbConn.prepareStatement("SELECT * FROM xml_replication");
         //increase dbconnection usage
         dbConn.increaseUsageCount(1);
@@ -278,7 +279,10 @@
         while(tablehasrows) {
           out.println("<tr><td>" + rs.getString(2) + "</td><td>");
           out.println(rs.getString(3) + "</td><td>");
-          out.println(rs.getString(4) + "</td></tr>");
+          out.println(rs.getString(4) + "</td><td>");
+          out.println(rs.getString(5) + "</td><td>");
+          out.println(rs.getString(6) + "</td></tr>");
+          
           tablehasrows = rs.next();
         }
         out.println("</table></body></html>");
@@ -290,7 +294,7 @@
         
       // delete server from server list
       } else if ( subaction.equals("delete") ) {
-        String server = ((String[])params.get("server"))[0];
+        server = ((String[])params.get("server"))[0];
         pstmt = dbConn.prepareStatement("DELETE FROM xml_replication " +
                                       "WHERE server LIKE '" + server + "'");
         pstmt.execute();
@@ -300,7 +304,10 @@
         response.setContentType("text/html");
         out.println("<html><body><table border=\"1\">");
         out.println("<tr><td><b>server</b></td><td><b>last_checked</b></td><td>");
-        out.println("<b>replicate</b></td></tr>");
+        out.println("<b>replicate</b></td>");
+        out.println("<td><b>datareplicate</b></td>");
+        out.println("<td><b>hub</b></td></tr>");
+  
         pstmt = dbConn.prepareStatement("SELECT * FROM xml_replication");
         //increase dbconnection usage
         dbConn.increaseUsageCount(1);
@@ -311,7 +318,9 @@
         {
           out.println("<tr><td>" + rs.getString(2) + "</td><td>");
           out.println(rs.getString(3) + "</td><td>");
-          out.println(rs.getString(4) + "</td></tr>");
+          out.println(rs.getString(4) + "</td><td>");
+          out.println(rs.getString(5) + "</td><td>");
+          out.println(rs.getString(6) + "</td></tr>");
           tablehasrows = rs.next();
         }
         out.println("</table></body></html>");
@@ -321,7 +330,9 @@
         response.setContentType("text/html");
         out.println("<html><body><table border=\"1\">");
         out.println("<tr><td><b>server</b></td><td><b>last_checked</b></td><td>");
-        out.println("<b>replicate</b></td></tr>");
+        out.println("<b>replicate</b></td>");
+        out.println("<td><b>datareplicate</b></td>");
+        out.println("<td><b>hub</b></td></tr>");
         pstmt = dbConn.prepareStatement("SELECT * FROM xml_replication");
         pstmt.execute();
         ResultSet rs = pstmt.getResultSet();
@@ -329,10 +340,18 @@
         while(tablehasrows) {
           out.println("<tr><td>" + rs.getString(2) + "</td><td>");
           out.println(rs.getString(3) + "</td><td>");
-          out.println(rs.getString(4) + "</td></tr>");
+          out.println(rs.getString(4) + "</td><td>");
+          out.println(rs.getString(5) + "</td><td>");
+          out.println(rs.getString(6) + "</td></tr>");
           tablehasrows = rs.next();
         }
         out.println("</table></body></html>");
+      } 
+      else
+      {
+       
+        out.println("<error>Unkonwn subaction</error>");
+       
       }
       pstmt.close();
       //conn.close();
@@ -445,11 +464,11 @@
         //serverCode = MetacatReplication.getServerCode(server);
         //override = true; //we are now overriding the default action
       }
-      MetacatReplication.replLog("force replication request from " + server); 
-      util.debugMessage("Force replication docid: "+docid, 20);
-      util.debugMessage("Force replication action: "+dbaction, 20);
-      // sending back read request to server
-     
+      MetacatReplication.replLog("force replication request from " + server);
+      MetaCatUtil.debugMessage("Force replication request from: "+ server, 34);
+      MetaCatUtil.debugMessage("Force replication docid: "+docid, 34);
+      MetaCatUtil.debugMessage("Force replication action: "+dbaction, 34);
+      // sending back read request to remote server
       URL u = new URL("https://" + server + "?server="
                 +util.getLocalReplicationServerName()
                 +"&action=read&docid=" + docid);
@@ -467,32 +486,35 @@
       XMLReader docinfoParser = ReplicationHandler.initParser(dih);
       docinfoParser.parse(new InputSource(new StringReader(docInfoStr)));
       Hashtable docinfoHash = dih.getDocInfo();
+      
+      // Get user owner of this docid
       String user = (String)docinfoHash.get("user_owner");
-      
+      // Get home server of this docid
       String homeServer=(String)docinfoHash.get("home_server");
-      util.debugMessage("homeServer: "+homeServer,20);
-      // write the document here
-      //Connection conn = util.openDBConnection();
+      MetaCatUtil.debugMessage("homeServer: "+homeServer, 34);
+    
+      // Get DBConnection from pool
       dbConn=DBConnectionPool.
               getDBConnection("MetacatReplication.handleForceReplicateRequest");
       serialNumber=dbConn.getCheckOutSerialNumber();
+      // write the document to local database
       DocumentImpl.writeReplication(dbConn, 
                   new StringReader(xmldoc), null, null, dbaction, docid, user, 
-                  null, homeServer, false);
+                  null, homeServer, false, server);
               
-       
-      //conn.close();
-
       MetacatReplication.replLog("document " + docid + " added to DB with " +
                                  "action " + dbaction);
-    } catch(Exception e) {
+    }//try
+    catch(Exception e) 
+    {
       
       System.out.println("ERROR in MetacatReplication.handleForceReplicate" +
                          "Request(): " + e.getMessage());
        e.printStackTrace();
-    }
+    }//catch
     finally
     {
+      // Return the checked out DBConnection
       DBConnectionPool.returnDBConnection(dbConn, serialNumber);
     }//finally
   }
@@ -504,33 +526,32 @@
    */
   private void handleForceReplicateDataFileRequest(Hashtable params)
   {
-    //check if the metacat was configured to handle replication 
-    if (!(util.getOption("replicationacceptdata")).equals("on"))
-    {
-      return;
-    }
+    
     //make sure there is some parameters
     if(params.isEmpty())
     {
       return;
     }
-    String server = ((String[])params.get("server"))[0]; // the server that
-    //docid should include rev number
-    String docid = ((String[])params.get("docid"))[0]; // sent the document
-    if (docid==null)
+    // Get remote server 
+    String server = ((String[])params.get("server"))[0]; 
+    // the docid should include rev number
+    String docid = ((String[])params.get("docid"))[0]; 
+    // Make sure there is a docid and server
+    if (docid==null || server==null || server.equals(""))
     {
-      util.debugMessage("Didn't specify docid for replication", 20);
+      MetaCatUtil.debugMessage("Didn't specify docid or server for replication"
+                              , 20);
       return;
     }
-    //docid was switch to two parts
+    
+    // Overide or not
     boolean override = false;
-    int serverCode = 1;
+    // dbaction - update or insert
     String dbaction=null;
-    //Connection conn=null;
-    
+   
     try 
     {
-      //docid was switch to two parts
+      //docid was switch to two parts uinque code and rev
       String uniqueCode=MetaCatUtil.getDocIdFromString(docid);
       int rev=MetaCatUtil.getVersionFromString(docid);
       if(params.containsKey("dbaction")) 
@@ -541,9 +562,11 @@
       {
         dbaction = "update";
       }
-      //serverCode = MetacatReplication.getServerCode(server);
+      
       MetacatReplication.replLog("force replication request from " + server); 
-      
+      MetaCatUtil.debugMessage("Force replication request from: "+ server, 34);
+      MetaCatUtil.debugMessage("Force replication docid: "+docid, 34);
+      MetaCatUtil.debugMessage("Force replication action: "+dbaction, 34);
       // get the document info from server
       URL docinfourl = new URL("https://" + server + 
                                "?server="+util.getLocalReplicationServerName()
@@ -563,7 +586,7 @@
       String docType = (String)docinfoHash.get("doctype");
       
       String docHomeServer= (String)docinfoHash.get("home_server");
-      MetaCatUtil.debugMessage("docHomeServer of data file: "+docHomeServer);
+      MetaCatUtil.debugMessage("docHomeServer of datafile: "+docHomeServer, 34);
       
       
       
@@ -586,8 +609,8 @@
         String datafilePath = util.getOption("datafilepath");
         //register data file into xml_documents table and wite data file
         //into file system
-        DocumentImpl.writeDataFile(url.openStream(), datafilePath, docName,
-                              docType, docid, user,docHomeServer);
+        DocumentImpl.writeDataFileInReplication(url.openStream(), datafilePath, 
+                            docName, docType, docid, user,docHomeServer,server);
      }
     
   
@@ -598,7 +621,8 @@
     {
       
       //util.returnConnection(conn);
-      util.debugMessage("ERROR in MetacatReplication.handleForceReplicate" +
+      util.debugMessage
+              ("ERROR in MetacatReplication.handleForceDataFileReplicate" +
                          "Request(): " + e.getMessage(), 30);
     }
   }
@@ -612,11 +636,10 @@
   private void handleGetLockRequest(PrintWriter out, Hashtable params,
                                     HttpServletResponse response)
   {
-    //Connection conn = null;
+
     try
     {
-      /*conn = MetacatReplication.getDBConnection("MetacatReplication." +
-                                                "handleGetLockRequest");*/
+    
       String docid = ((String[])params.get("docid"))[0];
       String remoteRev = ((String[])params.get("updaterev"))[0];
       DocumentImpl requestDoc = new DocumentImpl(docid);
@@ -671,11 +694,10 @@
   {
     String docid = ((String[])(params.get("docid")))[0];
     StringBuffer sb = new StringBuffer();
-    //Connection conn = null;
+  
     try
     {
-      /*conn = MetacatReplication.getDBConnection("MetacatReplication." +
-                                              "handleGetDocumentInfoRequest");*/
+      
       DocumentImpl doc = new DocumentImpl(docid);
       sb.append("<documentinfo><docid>").append(docid);
       sb.append("</docid><docname>").append(doc.getDocname());
@@ -692,7 +714,7 @@
       sb.append("</rev></documentinfo>");
       response.setContentType("text/xml");
       out.println(sb.toString());
-      //conn.close();
+      
     }
     catch (Exception e)
     {
@@ -710,13 +732,9 @@
                             Hashtable params, HttpServletResponse response)
                                  
   {
-    //check the metacat was configured to handle data replication
-    if (!(util.getOption("replicationsenddata")).equals("on"))
-    {
-      return;
-    }
-    
+    // File path for data file    
     String filepath = util.getOption("datafilepath");
+    // Request docid
     String docId = ((String[])(params.get("docid")))[0];
     //check if the doicd is null
     if (docId==null)
@@ -752,73 +770,73 @@
     {
           filepath += "/";
     }
-    String filename = filepath + docId;      //MIME type
+    // Get file aboslute file name
+    String filename = filepath + docId;      
     
-    String contentType = null;//getServletContext().getMimeType(filename);
+    //MIME type
+    String contentType = null;
+    if (filename.endsWith(".xml")) 
+    {
+        contentType="text/xml";
+    } 
+    else if (filename.endsWith(".css")) 
+    {
+        contentType="text/css";
+    } 
+    else if (filename.endsWith(".dtd")) 
+    {
+        contentType="text/plain";
+    } 
+    else if (filename.endsWith(".xsd")) 
+    {
+        contentType="text/xml";
+    } 
+    else if (filename.endsWith("/")) 
+    {
+        contentType="text/html";
+    } 
+    else 
+    {
+        File f = new File(filename);
+        if ( f.isDirectory() ) 
+        {
+           contentType="text/html";
+        } 
+        else
+        {
+           contentType="application/octet-stream";
+        }
+     }
    
-    if (contentType == null) 
-    {
-       if (filename.endsWith(".xml")) 
-       {
-          contentType="text/xml";
-       } 
-       else if (filename.endsWith(".css")) 
-       {
-          contentType="text/css";
-       } 
-       else if (filename.endsWith(".dtd")) 
-       {
-          contentType="text/plain";
-       } 
-       else if (filename.endsWith(".xsd")) 
-       {
-          contentType="text/xml";
-       } 
-       else if (filename.endsWith("/")) 
-       {
-          contentType="text/html";
-       } 
-       else 
-       {
-          File f = new File(filename);
-          if ( f.isDirectory() ) 
-          {
-             contentType="text/html";
-          } 
-          else
-          {
-             contentType="application/octet-stream";
-          }
-       }
-   }
-  
+   // Set the mime type
    response.setContentType(contentType);
-   // if we decide to use "application/octet-stream" for all data returns
-   // response.setContentType("application/octet-stream");
+   
+   // Get the content of the file
    FileInputStream fin = null;
    try 
    {
-      
+      // FileInputStream to metacat
       fin = new FileInputStream(filename);
-      
-      byte[] buf = new byte[4 * 1024]; // 4K buffer
+      // 4K buffer
+      byte[] buf = new byte[4 * 1024];
+      // Read data from file input stream to byte array
       int b = fin.read(buf);
+      // Write to outStream from byte array
       while (b != -1) 
       {
-        
         outPut.write(buf, 0, b);
         b = fin.read(buf);
       }
-    
+      // close file input stream
       fin.close();
    
-   }  
+   }//try
    catch(Exception e)
    {
       System.out.println("error getting data file from MetacatReplication." +
                          "handlGetDataFileRequest " + e.getMessage());
       e.printStackTrace(System.out);
-   }
+   }//catch
   
 }
   
@@ -829,7 +847,7 @@
   private void handleGetDocumentRequest(PrintWriter out, Hashtable params, 
                                         HttpServletResponse response)
   {
-    //Connection dbConn = null;
+  
     try
     {
       //try to open a https stream to test if the request server's public key
@@ -844,16 +862,16 @@
       {
         response.setContentType("text/xml");
         out.println("<error>Couldn't pass the trust test</error>");
+        out.close();
         return;
       }
       
       String docid = ((String[])(params.get("docid")))[0];
-      /*conn = MetacatReplication.getDBConnection("MetacatReplication." +
-                                                "handleGetDocumentRequest");*/
+      
       DocumentImpl di = new DocumentImpl(docid);
       response.setContentType("text/xml");
       out.print(di.toString());
-      //conn.close();
+   
       MetacatReplication.replLog("document " + docid + " sent");
     
     }
@@ -863,7 +881,7 @@
                           +"handlGetDocumentRequest " + e.getMessage(), 30);
       //e.printStackTrace(System.out);
       response.setContentType("text/xml");
-      out.println("<error>e.getMessage()</error>");
+      out.println("<error>"+e.getMessage()+"</error>");
     }
     
   }
@@ -886,14 +904,36 @@
   private void handleUpdateRequest(PrintWriter out, Hashtable params, 
                                     HttpServletResponse response)
   {
+    // Checked out DBConnection 
     DBConnection dbConn = null;
+    // DBConenction serial number when checked it out
     int serialNumber = -1;
     PreparedStatement pstmt = null;
+    // Server list to store server info of xml_replication table
+    ReplicationServerList serverList = null;
+  
     try
     {
+      // Check out a DBConnection from pool
+      dbConn=DBConnectionPool.
+                  getDBConnection("MetacatReplication.handleUpdateRequest");
+      serialNumber=dbConn.getCheckOutSerialNumber();
+      // Create a server list from xml_replication table
+      serverList = new ReplicationServerList();
+      
+      // Get remote server name from param
+      String server = ((String[])params.get("server"))[0];
+      // If no servr name in param, return a error
+      if ( server == null || server.equals(""))
+      {
+        response.setContentType("text/xml");
+        out.println("<error>Request didn't specify server name</error>");
+        out.close();
+        return;
+      }//if
+      
       //try to open a https stream to test if the request server's public key
       //in the key store, this is security issue
-      String server = ((String[])params.get("server"))[0];
       URL u = new URL("https://" + server + "?server="
                 +util.getLocalReplicationServerName()
                 +"&action=test");
@@ -903,46 +943,70 @@
       {
         response.setContentType("text/xml");
         out.println("<error>Couldn't pass the trust test</error>");
+        out.close();
         return;
       }
       
+      
+      // Check if local host configure to replicate xml documents to remote
+      // server. If not send back a error message
+      if (!serverList.getReplicationValue(server))
+      {
+        response.setContentType("text/xml");
+        out.println
+        ("<error>Configuration not allow to replicate document to you</error>");
+        out.close();
+        return;
+      }//if
+      
+      // Store the sql command
       StringBuffer docsql = new StringBuffer();
+      // Stroe the docid list
       StringBuffer doclist = new StringBuffer();
+      // Store the deleted docid list
+      StringBuffer delsql = new StringBuffer();
+      // Store the data set file
       Vector packageFiles = new Vector();
       
-      //get all docs that reside on this server
+      // Append local server's name and replication servlet to doclist
       doclist.append("<?xml version=\"1.0\"?><replication>");
       doclist.append("<server>").append(util.getOption("server"));
       doclist.append(util.getOption("replicationpath"));
       doclist.append("</server><updates>");
       
+      // Get correct docid that reside on this server according the requesting
+      // server's replicate and data replicate value in xml_replication table
       docsql.append("select docid, rev, doctype from xml_documents ");
-      if (!(util.getOption("hub")).equals("super"))
+      // If the localhost is not a hub to the remote server, only replicate
+      // the docid' which home server is local host (server_location =1)
+      if (!serverList.getHubValue(server))
       {
         docsql.append("where server_location = 1");
       }
+      MetaCatUtil.debugMessage("Doc sql: "+docsql.toString(), 30);
       
-      //get any deleted documents
-      StringBuffer delsql = new StringBuffer();
+      // Get any deleted documents
       delsql.append("select distinct docid from ");
       delsql.append("xml_revisions where docid not in (select docid from ");
       delsql.append("xml_documents) ");
-      if (!(util.getOption("hub")).equals("super"))
+      // If the localhost is not a hub to the remote server, only replicate
+      // the docid' which home server is local host (server_location =1)
+      if (!serverList.getHubValue(server))
       {
         delsql.append("and server_location = 1");
       }
-     
-      /*conn = MetacatReplication.getDBConnection("MetacatReplication." +
-                                                "handleUpdateRequest");*/
-      dbConn=DBConnectionPool.
-                  getDBConnection("MetacatReplication.handleUpdateRequest");
-      serialNumber=dbConn.getCheckOutSerialNumber();
+      MetaCatUtil.debugMessage("Deleted sql: "+delsql.toString(), 30);
+      
+      
+      
+      // Get docid list of local host
       pstmt = dbConn.prepareStatement(docsql.toString());
       pstmt.execute();
       ResultSet rs = pstmt.getResultSet();
       boolean tablehasrows = rs.next();
       //If metacat configed to replicate data file
-      if ((util.getOption("replicationsenddata")).equals("on"))
+      //if ((util.getOption("replicationsenddata")).equals("on"))
+      if (serverList.getDataReplicationValue(server))
       {
         while(tablehasrows)
         {
@@ -949,10 +1013,12 @@
           String recordDoctype = rs.getString(3);
           Vector packagedoctypes = MetaCatUtil.getOptionList(
                                      MetaCatUtil.getOption("packagedoctype"));
+          //if this is a package file, put it at the end
+          //because if a package file is read before all of the files it
+          //refers to are loaded then there is an error
           if(!packagedoctypes.contains(recordDoctype))
-          {   //if this is a package file, put it at the end
-              //because if a package file is read before all of the files it
-              //refers to are loaded then there is an error
+          {   
+              //If this is not data file
               if (!recordDoctype.equals("BIN"))
               {
                 //for non-data file document
@@ -961,7 +1027,7 @@
                 doclist.append("</docid><rev>").append(rs.getInt(2));
                 doclist.append("</rev>");
                 doclist.append("</updatedDocument>");
-              }
+              }//if
               else
               {
                 //for data file document, in datafile attributes
@@ -974,8 +1040,8 @@
                 doclist.append(MetaCatUtil.getOption("datafileflag"));
                 doclist.append("</datafile>");
                 doclist.append("</updatedDocument>");
-              } 
-          }
+              }//else 
+          }//if packagedoctpes
           else
           { //the package files are saved to be put into the xml later.
               Vector v = new Vector();
@@ -982,7 +1048,7 @@
               v.add(new String(rs.getString(1)));
               v.add(new Integer(rs.getInt(2)));
               packageFiles.add(new Vector(v));
-          }
+          }//esle
           tablehasrows = rs.next();
         }//while
       }//if
@@ -1058,7 +1124,7 @@
                          "handleupdaterequest: " + e.getMessage(), 30);
       //e.printStackTrace(System.out);
       response.setContentType("text/xml");
-      out.println("<error>e.getMessage()</error>");
+      out.println("<error>"+e.getMessage()+"</error>");
     }
     finally
     {
@@ -1076,11 +1142,8 @@
         DBConnectionPool.returnDBConnection(dbConn, serialNumber);
       }//finally
     }//finally
-        
-                        
-      
-    
-  }
+ 
+  }//handlUpdateRequest
   
   /**
    * Returns the xml_catalog table encoded in xml
@@ -1150,6 +1213,10 @@
       System.out.println("error in MetacatReplication.handleGetCatalogRequest:"+ 
                           e.getMessage());
       e.printStackTrace(System.out);
+      if(printFlag)
+      {
+        out.println("<error>"+e.getMessage()+"</error>");
+      }
     }
     finally
     {
@@ -1222,7 +1289,7 @@
    * @return the servername or null if the specified serverCode does not
    *         exist.
    */
-  public static String getServer(int serverCode)
+  public static String getServerNameForServerCode(int serverCode)
   {
     //System.out.println("serverid: " + serverCode);
     DBConnection dbConn = null;
@@ -1283,7 +1350,7 @@
    * @return integer > 0 representing the code of the server, 0 if the server
    *  does not exist.
    */
-  public static int getServerCode(String server) throws Exception
+  public static int getServerCodeForServerName(String server) throws Exception
   {
     DBConnection dbConn = null;
     int serialNumber = -1;
